import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconMicOff as IconMicOffClass } from "../../../../components/icon/icons/mic-off.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconMicOff = (props) => {
  IconMicOffClass.define();
  const JSXElement = getReactComponent("gds-icon-mic-off");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconMicOff.displayName = "IconMicOff";
export {
  IconMicOff
};
